package com.zhongzheng.modules.user.service;

import com.zhongzheng.modules.user.domain.UserNote;
import com.zhongzheng.modules.user.vo.UserDateNoteVo;
import com.zhongzheng.modules.user.vo.UserNoteVo;
import com.zhongzheng.modules.user.bo.UserNoteQueryBo;
import com.zhongzheng.modules.user.bo.UserNoteAddBo;
import com.zhongzheng.modules.user.bo.UserNoteEditBo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * 用户笔记记录Service接口
 *
 * @author ruoyi
 * @date 2021-12-14
 */
public interface IUserNoteService extends IService<UserNote> {
	/**
	 * 查询单个
	 * @return
	 */
	UserNoteVo queryById(Long noteId);

	/**
	 * 查询列表
	 */
	List<UserNoteVo> queryList(UserNoteQueryBo bo);

	/**
	 * 根据新增业务对象插入用户笔记记录
	 * @param bo 用户笔记记录新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(UserNoteAddBo bo);

	/**
	 * 根据编辑业务对象修改用户笔记记录
	 * @param bo 用户笔记记录编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(UserNoteEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<UserDateNoteVo> listDate(UserNoteQueryBo bo);
}
